Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 021 953 раза!

Форум

Добро пожаловать, Гость!

Модули PHP7

Вопросы по работе с Apache, Nginx, PHP, MySQL, Sendmail и т.д.
PavelAle
Сообщения: 13
C нами: 3 года 10 мес

Непрочитанное сообщение PavelAle » 23 янв 2016, 18:43

Здравствуйте. У меня на компе сейчас стоит WinXP (вот такой я консерватор). Апач 2.4 и ПХП5.6-5.7 отказываются работать на ОС ниже седьмой винды. Что делать? Это специфика данной сборки, и можно надеяться, что в следующих сборках я смогу юзать пхп7 на своём WinXP? Или решить можно ТОЛЬКО установкой более новой винды?

Аватара пользователя
Максим
Сообщения: 4877
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 23 янв 2016, 19:17

Следующая версия Open Server в большинстве своём вообще не будет поддерживать Windows XP. Забудьте, система мёртвая. Сейчас все новые модули будь то PHP, Mongo или FTP и т.д. идут без поддержки Windows XP то есть просто не будут там работать. Так что не мучайте себя, установите Windows 7, она прекрасно работает на старых машинах.

Scr
Сообщения: 6
C нами: 10 мес 3 дня

Непрочитанное сообщение Scr » 06 фев 2016, 16:16

openserver 5.2.3. Все сделал как в первом посте, но апаче крашится с этой ошибкой
Сигнатура проблемы:
Имя события проблемы: APPCRASH
Имя приложения: httpd.exe
Версия приложения: 2.4.17.0
Отметка времени приложения: 5660906f
Имя модуля с ошибкой: php7ts.dll
Версия модуля с ошибкой: 7.0.0.0
Отметка времени модуля с ошибкой: 5660a01a
Код исключения: c0000005
Смещение исключения: 00404daf
Версия ОС: 6.1.7601.2.1.0.256.1
Код языка: 1049
Дополнительные сведения 1: 0a9e
Дополнительные сведения 2: 0a9e372d3b4ad19135b953a78882e789
Дополнительные сведения 3: 0a9e
Дополнительные сведения 4: 0a9e372d3b4ad19135b953a78882e789

Ознакомьтесь с заявлением о конфиденциальности в Интернете:
http://go.microsoft.com/fwlink/?linkid= ... cid=0x0419

Если заявление о конфиденциальности в Интернете недоступно, ознакомьтесь с его локальным вариантом:
C:\Windows\system32\ru-RU\erofflps.txt

Аватара пользователя
Максим
Сообщения: 4877
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 06 фев 2016, 16:22

Scr, нет не всё, вы не установили Redistributable Package (setup.exe) или не перезагрузились после установки.

Аватара пользователя
LeXXXX35
Сообщения: 3
C нами: 10 мес 1 день
Откуда: Sakhalin Island
Контакты:

Непрочитанное сообщение LeXXXX35 » 08 фев 2016, 02:29

Спасибо! Данный модуль отлично работает на трех машинах под Windows 7, 8.1 и 10. Все системы x64. Когда ожидать выхода Openserver 5.2.4? А то вроде как и php уже посвежее есть, и MySQL.

Alex
Сообщения: 9
C нами: 4 года 11 мес

Непрочитанное сообщение Alex » 14 фев 2016, 21:02

Столкнулся с ошибкой. Все скачал установил пытаюсь запустить но вылетаетсообщение о том что отсутствует файл api-ms-win-crt-runtime-l1-1-0.dll
Ставл на 7 винде 64 бита

Аватара пользователя
Максим
Сообщения: 4877
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 15 фев 2016, 00:38

Alex, вы не установили Redistributable Package (setup.exe) или не перезагрузились после установки.

Аватара пользователя
LeXXXX35
Сообщения: 3
C нами: 10 мес 1 день
Откуда: Sakhalin Island
Контакты:

Непрочитанное сообщение LeXXXX35 » 15 фев 2016, 13:11

Максим, так новая версия то планируется?

memboc
Сообщения: 3
C нами: 9 мес 13 дней

Непрочитанное сообщение memboc » 25 фев 2016, 21:08

Если кому надо расширение Redis 2.2.7 под PHP 7

PS: распаковать php_redis-7.0-ts-vc14-x86.zip в modules\php\PHP-5.6-5.7\ext
и дописать строчку в php.ini: extension=php_redis.dll

tropic
Сообщения: 7
C нами: 1 год 8 мес

Непрочитанное сообщение tropic » 16 мар 2016, 15:33

Максим, подскажите, пожалуйста такой вопрос.

Поставил apache2.4+php7 и PHP5.6-5.7 - все работает отлично.

В папку PHP-5.6-5.7 вместо PHP7.0.0 подложил PHP7.0.4 (VC14 x86 Thread Safe (2016-Mar-03 00:59:47))- все работает.
Так можно использовать PHP7.0.4 в OpenServer или это некорректная конфигурация и нужно ждать, когда вы выложите модуль с PHP7.0.4 ?

Спасибо.


Вернуться в «Модули и инструменты»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей